# Get Sellers for a journal

## Retrieves a list of sellers for a specific journal.

> Returns all sellers that have charges in the specified journal. Supports filtering, sorting, and pagination.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5521-gb6ada4dc"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/billing/journals/{journalId}/sellers":{"get":{"tags":["JournalSellers"],"summary":"Retrieves a list of sellers for a specific journal.","description":"Returns all sellers that have charges in the specified journal. Supports filtering, sorting, and pagination.","parameters":[{"name":"journalId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JournalSellerListResponse"}}}}}}}},"components":{"schemas":{"JournalSellerListResponse":{"type":"object","properties":{"$meta":{"allOf":[{"$ref":"#/components/schemas/ListMetadata"}]},"data":{"type":"array","items":{"$ref":"#/components/schemas/JournalSeller"}}},"additionalProperties":false},"ListMetadata":{"type":"object","properties":{"pagination":{"allOf":[{"$ref":"#/components/schemas/PaginationMetadata"}]},"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PaginationMetadata":{"type":"object","properties":{"offset":{"type":"integer","format":"int32"},"limit":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"JournalSeller":{"type":"object","properties":{"externalId":{"type":"string","nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"id":{"type":"string"},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"status":{"allOf":[{"$ref":"#/components/schemas/SellerStatus"}],"nullable":true},"journal":{"type":"object","allOf":[{"$ref":"#/components/schemas/JournalRef"}]}},"additionalProperties":false,"description":"Represents a seller associated with a journal entry in the billing system."},"Address":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"SellerStatus":{"enum":["Active","Disabled","Offline","Deleted"],"type":"string"},"JournalRef":{"type":"object","properties":{"revision":{"type":"integer","format":"int32"},"id":{"type":"string","description":"The unique identifier of the journal entry."},"name":{"type":"string","description":"Name of the journal."},"dueDate":{"type":"string","description":"The due date for the journal entry.","format":"date-time"}},"additionalProperties":false,"description":"Represents a journal entry in the billing system."}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/billing-api/journal/get-sellers-for-a-journal.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
